package org.rcisoft.bus.custrecharge.entity;
import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.*;

import org.rcisoft.core.entity.CyIdIncreEntity;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2024年12月13日 上午11:27:11.
*/
@Data
@TableName("cust_recharge")
public class CustRecharge  extends CyIdIncreEntity<CustRecharge> {


     /**
     * @desc 客户
     * @column customer_id
     * @default 
     */
     @Excel(name = "客户", orderNum = "0", width = 20)
     private Integer customerId;

     /**
     * @desc 实际充值
     * @column actual_recharge
     * @default 
     */
     @Excel(name = "实际充值", orderNum = "1", width = 20)
     private BigDecimal actualRecharge;

     /**
     * @desc 实际到账
     * @column actual_receipt
     * @default 
     */
     @Excel(name = "实际到账", orderNum = "2", width = 20)
     private BigDecimal actualReceipt;

     /**
     * @desc 消费订单号
     * @column order_number
     * @default 
     */
     @Excel(name = "消费订单号", orderNum = "3", width = 20)
     private String orderNumber;

     /**
     * @desc 消费金额
     * @column consumption_amount
     * @default 
     */
     @Excel(name = "消费金额", orderNum = "4", width = 20)
     private BigDecimal consumptionAmount;

     /**
     * @desc 充值/消费余额
     * @column customer_balance
     * @default 
     */
     @Excel(name = "充值/消费余额", orderNum = "5", width = 20)
     private BigDecimal customerBalance;

     /**
     * @desc 门店
     * @column store_id
     * @default 
     */
     @Excel(name = "门店", orderNum = "6", width = 20)
     private String storeId;

     /**
     * @desc (0消费 1充值)
     * @column is_recharge
     * @default 
     */
     @Excel(name = "(0消费 1充值)", orderNum = "7", width = 20)
     private String isRecharge;

     /**
      * 开始时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String beginTime;

     /**
      * 结束时间
      */
     @JsonIgnore
     @TableField(exist = false)
     private String endTime;

     /**
      * 修改人名称
      */
     @TableField(exist = false)
     private String createName;

     /**
      * 门店名称
      */
     @TableField(exist = false)
     private String store;

     /**
      * 客户名称
      */
     @TableField(exist = false)
     private String customerName;

     /**
      * 客户电话
      */
     @TableField(exist = false)
     private String customerTelephone;

     /**
      * 门店名称
      */
     @TableField(exist = false)
     private String storeName;

     /**
      * 是否为退款
      */
     private String isReturn;
}

